漏洞信息详情

Linux kernel 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201908-1161
  • 危害等级: 高危
  • CVE编号: CVE-2019-15117
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2019-08-16
  • 威胁类型: 本地
  • 更新时间: 2020-07-15
  • 厂        商:
  • 漏洞来源: Debian

漏洞简介

Linux kernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。

Linux kernel 5.2.9及之前版本中的sound/usb/mixer.c文件的‘parse_audio_mixer_unit’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git/commit/?id=daac07156b330b18eb5071aec4b3ddca1c377f2c

参考网址

来源:MISC

链接:https://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound.git/commit/?id=daac07156b330b18eb5071aec4b3ddca1c377f2c

来源:lore.kernel.org

链接:https://lore.kernel.org/lkml/20190814023625.21683-1-benquike@gmail.com/

来源:CONFIRM

链接:https://security.netapp.com/advisory/ntap-20190905-0002/

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192756-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192738-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192658-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192651-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192299-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192263-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192262-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192424-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192414-1.html

来源:www.suse.com

链接:https://www.suse.com/support/update/announcement/2019/suse-su-20192412-1.html

来源:www.debian.org

链接:https://www.debian.org/security/2019/dsa-4531

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-15117

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3570/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3613/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2020.2380/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3327/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.3380/

来源:www.ibm.com

链接:https://www.ibm.com/blogs/psirt/security-bulletin-ibm-qradar-siem-is-vulnerable-to-using-components-with-known-vulnerabilities/

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/154606/Debian-Security-Advisory-4531-1.html

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/Linux-kernel-buffer-overflow-via-parse-audio-mixer-unit-30082

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多